Package org.eclipse.ui.views.properties.tabbed

## Interface IActionProvider

    public interface IActionProvider

Allows a tabbed properties view to make contributions to action bars.

An action provider is called when the tabbed properties view becomes the active view. It is at this point where the action provider can override the action bars.

Normally `TabbedPropertySheetPage.setActionBars(IActionBars)` is sufficient, but this is only called once and is not sufficient for a contributor that is selection based. An example is the Project Explorer where different providers contribute different action sets and properties configurations.

The most frequent use of setActionBars() is to retarget the global actions for undo and redo based on the active tabbed properties view contributor.

Since:
  3.2.1

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setActionBars​(ITabbedPropertySheetPageContributor contributor, IActionBars actionBars)` Allows the page to make contributions to the given action bars.

### Method Detail

#### setActionBars

    void setActionBars​(ITabbedPropertySheetPageContributor contributor,
                       IActionBars actionBars)

Allows the page to make contributions to the given action bars. The contributions will be visible when the page is visible.

Parameters:
  `contributor` - the tabbed property sheet page contributor.
  `actionBars` - the action bars for this page